#
# spec file for package python-ftfy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ftfy
Version:        3.4.0
Release:        3.2
Summary:        Make unicode text less broken and more consistent
License:        MIT
Group:          Development/Libraries/Python
Url:            https://github.com/LuminosoInsight/python-ftfy
Source:         https://pypi.python.org/packages/source/f/ftfy/ftfy-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
Ftfy makes Unicode text less broken and more consistent.

The most interesting kind of brokenness that this resolves is when someone has
encoded Unicode with one standard and decoded it with a different one.

%prep
%setup -q -n ftfy-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/*

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Thu May  7 2015 jweberhofer@weberhofer.at
- Use the tar-ball from pypi.python.org
* Mon May  4 2015 jweberhofer@weberhofer.at
- Updated to version 3.4.0
  * ftfy.fixes.fix_surrogates will fix all 16-bit surrogate codepoints, which
    would otherwise break various encoding and output functions.
  * remove_unsafe_private_use emits a warning, and will disappear in the next
    minor or major version.
- Updated to version 3.3.1
  * restores compatibility with Python 2.6.
* Mon Aug 18 2014 jweberhofer@weberhofer.at
- Initial RPM package for version 3.3.0
